threads.h File Reference
`#include <log4cplus/config.hxx>`
`#include <memory>`
`#include <thread>`
`#include <log4cplus/tstring.h>`
`#include <log4cplus/helpers/pointer.h>`
Include dependency graph for threads.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | log4cplus::thread::SignalsBlocker
| This class blocks all POSIX signals when created and unblocks them when destroyed. More...
class | log4cplus::thread::AbstractThread
| There are many cross-platform C++ Threading libraries. More...

## Namespaces

namespace | log4cplus
namespace | log4cplus::thread

## Typedefs

typedef helpers::SharedObjectPtr< AbstractThread > | log4cplus::thread::AbstractThreadPtr

## Functions

LOG4CPLUS_EXPORT log4cplus::tstring const & | log4cplus::thread::getCurrentThreadName ()
LOG4CPLUS_EXPORT log4cplus::tstring const & | log4cplus::thread::getCurrentThreadName2 ()
LOG4CPLUS_EXPORT void | log4cplus::thread::setCurrentThreadName (const log4cplus::tstring &name)
LOG4CPLUS_EXPORT void | log4cplus::thread::setCurrentThreadName2 (const log4cplus::tstring &name)
LOG4CPLUS_EXPORT void | log4cplus::thread::yield ()
LOG4CPLUS_EXPORT void | log4cplus::thread::blockAllSignals ()